Sisyphus repositório
Última atualização: 26 fevereiro 2021 | SRPMs: 17838 | Visitas: 20346158
en ru br
Mantenedor: Arseny Maslennikov

 Informação   Pacotes   Bugs e FR  Repocop 

Mensagem de Repocop:

pacote estado teste mensagem
clang11.0-libs-11.0.1-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
jicofo-1.1-alt0.3.x86_64
warn
specfile-useradd-n -n in useradd is compat option and can be removed any time. Use -N instead.
jicofo-1.1-alt0.3.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
llvm-common-clang-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/bin/clang is different from the same symlink in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/clang++ is different from the same symlink in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/clang-cl is different from the same symlink in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/clang-cpp is different from the same symlink in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with... [the rest of the message is skipped]
llvm-common-clang-tools-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/clang-check is a file in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/clang-extdef-mapping is a file in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/clang-format is a file in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/clang-offload-bundler is a file in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using altern... [the rest of the message is skipped]
llvm-common-devel-11.0.1-alt2.x86_64
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/llvm-config is a file in the package llvm10.0-devel-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
llvm-common-lld-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/bin/ld.lld is different from the same symlink in the package lld10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/ld64.lld is different from the same symlink in the package lld10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/lld-link is different from the same symlink in the package lld10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/wasm-ld is different from the same symlink in the package lld10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each ot... [the rest of the message is skipped]
llvm-common-lld-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/lld is a file in the package lld10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
llvm-common-util-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-symlink value of symlink /usr/bin/llvm-addr2line is different from the same symlink in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/llvm-dlltool is different from the same symlink in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/llvm-install-name-tool is different from the same symlink in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. value of symlink /usr/bin/llvm-lib is different from the same symlink in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no ... [the rest of the message is skipped]
llvm-common-util-11.0.1-alt2.noarch
warn
rpm-filesystem-conflict-symlink-file symlink /usr/bin/bugpoint is a file in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/c-index-test is a file in the package clang10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/diagtool is a file in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/dsymutil is a file in the package llvm10.0-10.0.1-alt2.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives. symlink /usr/bin/hmapto... [the rest of the message is skipped]
llvm11.0-libs-11.0.1-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
mumble-1.3.2-alt1.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libmumble.so but just /usr/lib64/libmumble.so.1.3.2. According to SharedLibs Policy Draft, symlink /usr/lib64/libmumble.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libmumble.so to \%files of mumble-1.3.2-alt1.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test.
murmur-1.3.2-alt1.x86_64
warn
init-lsb /etc/rc.d/init.d/murmur: lsb init header missing. See http://www.altlinux.org/Services_Policy for details.
murmur-1.3.2-alt1.x86_64
experimental
checkbashisms checkbashisms utility found possible bashisms in: /etc/rc.d/init.d/murmur
zsh-5.8-alt1.x86_64
info
arch-dep-package-has-big-usr-share The package has a significant amount of architecture-independent data in /usr/share, while it is an architecture-dependent package. This is wasteful of mirror space and bandwidth, as we then end up with multiple copies of this data, one for each architecture. If the data in /usr/share is not architecture-independent, it is a policy violation, and in this case, you should move that data elsewhere.
 
projeto & código: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
mantenedor atual: Michael Shigorin
mantenedor da tradução: Fernando Martini aka fmartini © 2009